Subject: Re: bug#2134: [PATCH] progmodes/compile.el: check global-font-lock-mode

From: Richard M Stallman <[email-masked]>
Date: Sun, 01 Feb 2009 17:49:07 -0500

If you read the rest of the compile.el code, you'll see that it uses
    font-lock to do its job, which is why it's turned on unconditionally.

What's happening here is not clean.  Yes, compile.el needs to force
the Font Lock mechanism to work, all the time; but it should not show
the faces on the screen if the user disables Font Lock mode.

What this calls for is something like font-lock-syntactic-keywords.
Or a switch in Font Lock to say, "Unconditionally activate the Font
Lock mechanism, independent of whether Font Lock mode is enabled, but
store the faces in the `font-lock-face' property."  With that, the
mechanism will always find the errors, but the user can control
whether to display the highlighting.